Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class UncheckedIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.UncheckedIOException

    public class UncheckedIOException
    extends RuntimeException

`UncheckedIOException` is used to wrap an IOException into an unchecked exception.

Constructor Summary
`UncheckedIOException()`
`UncheckedIOException(String message)`
`UncheckedIOException(String message, Throwable cause)`
`UncheckedIOException(Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### UncheckedIOException

    public UncheckedIOException()

### UncheckedIOException

    public UncheckedIOException(String message)

### UncheckedIOException

    public UncheckedIOException(String message, Throwable cause)

### UncheckedIOException

    public UncheckedIOException(Throwable cause)

Gradle API 1.10